!> \file paradim-ant16_mod.f90
!! Def des dimensions du grille ant16km a 16 km  
!<

!> \namespace module_ant16
!! Def des dimensions du grille ant16km a 16 km  
!! \author C. Dumas
!! \date 27/09/2017
!! @note prescribe nx,ny,  dimension of most arrays
!! for Antarctic 16 km grid ant16km
!<

! module de dimensionnement 
! pour ant16km Antarctique 16 km.

module module_ant16

implicit none

! character
character(len=7),  parameter  ::  geoplace='ant16km'
character(len=17), parameter  :: dirnameinp='../INPUT/ANT16km/' !< input directory
character(len=17), parameter  :: dirforcage='../INPUT/Forcage/' !< input directory

! dimensionnement grilles
!-------------------------
integer, parameter :: nx=381           !< dimension selon x (indice i)
integer, parameter :: ny=381           !< dimension selon y (indice j)
integer, parameter :: nlmin=381        !< min(nx,ny), pour matrice elliptique  
integer, parameter :: nz=21            !< dimension selon z (indice k) 
integer, parameter :: nzm=4            !< nb de points verticaux dans le socle
integer, parameter :: nn=199           !< pour des sorties


! pas horizontal
!-----------------
real, parameter    :: dx=16000.0
real, parameter    :: dy=16000.0      !< pas en X et Y en m


end module module_ant16
